DESCRIPTION = "Virtual Machine for LucasArts Adventures"
SECTION = "games"
PRIORITY = "optional"
LICENSE = "GPL"

SRC_URI = "${SOURCEFORGE_MIRROR}/scummvm/scummvm-${PV}.tar.bz2 \
	file://openmoko-scummvm \
	file://scummvm.desktop \
	"

DEFAULT_PREFERENCE = "-1"

DEPENDS = "virtual/libsdl libmad libvorbis libogg zlib mpeg2dec"

inherit autotools 

EXTRA_OECONF = "--host=${HOST_SYS} \
		--backend=sdl \
		--disable-alsa \
		--with-ogg-prefix=${STAGING_LIBDIR}/.. \
		--with-vorbis-prefix=${STAGING_LIBDIR}/.. \
		--with-mpeg2-prefix=${STAGING_LIBDIR}/.. \
		--with-mad-prefix=${STAGING_LIBDIR}/.. \ 
		--enable-lure \
		--enable-agi \
		--enable-cine \
		"

do_configure() {
	./configure ${EXTRA_OECONF}
}

do_compile() {
	oe_runmake CC="${CC}" CXX="${CXX}" CFLAGS="${CFLAGS}" CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS} -lmpeg2" \
                   DEFINES="-DUNIX -DSCUMM_NEED_ALIGNMENT  -DUSE_MAD -DUSE_VORBIS -DUSE_ZLIB -DUSE_MPEG2"
}

do_install() {
	install -d ${D}${bindir}
	install -m 0755 scummvm ${D}${bindir}/scummvm
	install -m 0755 ${WORKDIR}/openmoko-scummvm ${D}${bindir}/openmoko-scummvm
	install -d ${D}${datadir}/pixmaps
	install -m 0644 icons/scummvm.xpm ${D}${datadir}/pixmaps/
	install -d ${D}${datadir}/applications
	install -m 0644 ${WORKDIR}/scummvm.desktop ${D}${datadir}/applications
	install -d ${D}${datadir}/scummvm/themes
	install -m 0644 gui/themes/modern.ini ${D}${datadir}/scummvm/themes/ 
	install -m 0644 gui/themes/modern.zip ${D}${datadir}/scummvm/themes/ 
}

